Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1511507

Summary: Doc RFE - Document how to set the xreaddir option
Product: Red Hat Gluster Storage Reporter: Anjana Suparna Sriram <asriram>
Component: doc-Administration_GuideAssignee: Chandrakanth Pai <chpai>
doc-Administration_Guide sub component: Default QA Contact: Ambarish <asoman>
Status: CLOSED NOTABUG Docs Contact:
Severity: unspecified    
Priority: unspecified CC: asoman, asriram, bturner, dang, ffilz, jthottan, kkeithle, mbenjamin, nlevinki, rhinduja, rhs-bugs, rwheeler, skoduri, storage-doc
Version: rhgs-3.4Keywords: FutureFeature
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-07 09:52:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Anjana Suparna Sriram 2017-11-09 13:35:24 UTC
Additional information: 

Use Case Description: As an administrator, I want to know how I can set the xreaddir option so that I can complete command operations quickly.

This use case includes documenting the following content:
provide brief overview information about the performance improvements available by setting the xreaddir option to provide task information that describes where and how to set the xreaddir option to provide a list of options that are required to be enabled/set in order to implement xreaddir. 

PoC: Frank/Kaleb/Soumya

Comment 4 Kaleb KEITHLEY 2018-01-19 13:28:39 UTC
Matt is correct.

FSAL_GLUSTER is hard-coded to use xreaddirplus in gfapi.

The only way to _not_ use xreaddirplus is to recompile with a different build option.